$profile-pic-size: 62px;
$profile-pic-border-size: 3px;
$follow-green: #43a047;
// User section at top

.user-section {
  align-items: center;
  background-color: $lightest-gray;
  display: flex;
  margin-left: 18px;
  margin-right: 0;
  min-height: 110px;
}

.user-profile-pic {
  @include hover-transition;
  @include box-shadow(2px, 2px, 5px, rgba($black, .1));
  background: {
    color: $light-gray;
    position: center center;
    size: cover;
  }
  border-color: $white;
  border-radius: 100%;
  border-style: solid;
  border-width: $profile-pic-border-size;
  float: left;
  padding: 0;
  position: relative;

  &::after {
    background-color: $light-gray;
    border-color: $white;
    border-radius: 100%;
    border-style: solid;
    border-width: $profile-pic-border-size;
    content: '';
    height: $profile-pic-size;
    left: -$profile-pic-border-size;
    margin: 0;
    position: absolute;
    top: -$profile-pic-border-size;
    width: $profile-pic-size;
  }

  &::before {
    @extend %fontello;
    color: $white;
    content: '\f234';
    font-size: 27px;
    margin: 13px auto auto 15px;
    position: relative;
    z-index: 1;
  }

  &:hover,
  &:focus {
    background-color: $medium-gray;
  }

  &.-small-profile {
    height: $profile-pic-size;
    width: $profile-pic-size;
  }

  &.-medium-profile {
    height: $profile-pic-size * 3 / 2;
    width: $profile-pic-size * 3 / 2;
  }

  &.-large-profile {
    height: $profile-pic-size * 2;
    width: $profile-pic-size * 2;
  }

  .badge {
    position: absolute;
    right:  - $profile-pic-border-size;
    top: - $profile-pic-border-size * 2;
    z-index: 1;
  }
  
}

.user-info {
  display: flex;
  flex-flow: column;
  min-height: 62px;
}

.user-name,
.cta-hi {
  @include font-size(18);
  color: $very-dark-gray;
  font-family: $dinpro-font-family;
  font-weight: bold;
  margin: auto auto 0 10px;
  text-transform: capitalize;
}

.user-mail,
.cta-login {
  @include font-size(11);
  color: $blueish-gray;
  margin: 0 auto auto 10px;
  max-width: 180px;
}

.cta-hi {
  color: $blueish-gray;
}

.cta-login {
  @include font-size(16);
}


//profile pages
.user-pages-container {
  background-color: $lightest-gray;
  min-height: calc(100vh - 45px);
  padding: 10px 11px;

  .user-section {
    background-color: inherit;
    margin: 10px 0 22px;
  }

  .isTransparent + & { //if full page
    min-height: 100vh;
  }
}

.user-pages-container__light {
  background-color: #feffff; //shame this color is different form $lightest-gray which is the bg of the news elements .card-list-container
}

//user profile pages top section
.user-profile-container {
  color: $blueish-gray;
  display: flex;
  flex-flow: column nowrap;
  margin: 10px auto;
  text-align: center;

  & .user-profile-pic {
    margin: 10px auto;
  }

  & .user-name {
    margin: auto;
  }

  & .user-details {
    @include font-size(13);
    @include line-height(22);
  }

  & .user-section {
    flex-flow: column nowrap;
    margin: auto 10px;

    .flex-h {
      justify-content: space-between;
      width: 100%;
    }
  }
}

.user-cta-chat,
.user-cta-follow {
  @include font-size(12);
  align-items: center;
  border: 1px solid $blueish-gray;
  border-radius: 25px;
  display: flex;
  flex-flow: row nowrap;
  min-width: 100px;
  padding: 3px 12px;
  text-align: center;
}

.user-cta-chat {
  background-color: $blueish-gray;
  color: $lightest-gray;
}

.user-cta-follow {
  background-color: $lightest-gray;
  color: $blueish-gray;

  &::after {
    content: 'Takip Et';
    // padding: 0 0 2px;
  }

  &.followed {
    background: $follow-green;
    border-color: $follow-green;
    color: $lightest-gray;

    &::before { // remove icon
      display: none;
    }
  }
}

.followed.user-cta-follow {
  &::after {
    content: 'Takip Ediliyor';
  }
}

.cta-profile-login-register {
  @extend .description;
  display: flex;
  flex-flow: column nowrap;
  height: 100%;
  margin: 22% auto;
}

.cta-radial {
  @include font-size(13);
  background-color: $blueish-gray;
  border-radius: 15px;
  color: $white;
  display: inline-block;
  min-height: 30px;
  min-width: 105px;
  padding: 5px 3px;

  &:last-of-type {
    background-color: #43a047;
    margin-left: 10px;
  }

}
